summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2015-10-18 02:07:00 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2015-10-18 02:07:00 -0500
commit2a7a2a4df322c7b762a7c9cc832391a968faa5d2 (patch)
tree8f66de56531323a1aadb4be9261936e3eebb8b96 /sys-auth
parentsys-auth/keystone: fixing six dep (diff)
downloadgentoo-2a7a2a4df322c7b762a7c9cc832391a968faa5d2.tar.gz
gentoo-2a7a2a4df322c7b762a7c9cc832391a968faa5d2.tar.bz2
gentoo-2a7a2a4df322c7b762a7c9cc832391a968faa5d2.zip
sys-auth/keystone: fixing more ~ deps
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/keystone/keystone-2015.2.9999.ebuild15
-rw-r--r--sys-auth/keystone/keystone-8.0.0.ebuild15
2 files changed, 10 insertions, 20 deletions
diff --git a/sys-auth/keystone/keystone-2015.2.9999.ebuild b/sys-auth/keystone/keystone-2015.2.9999.ebuild
index 04c02e5d580..73e406d29ca 100644
--- a/sys-auth/keystone/keystone-2015.2.9999.ebuild
+++ b/sys-auth/keystone/keystone-2015.2.9999.ebuild
@@ -43,8 +43,7 @@ DEPEND="
)
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
<=dev-python/coverage-4.0[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ ~dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
>=dev-python/lxml-2.3[${PYTHON_USEDEP}]
<=dev-python/lxml-3.4.4[${PYTHON_USEDEP}]
>=dev-python/mock-1.2[${PYTHON_USEDEP}]
@@ -73,8 +72,7 @@ RDEPEND="
${CDEPEND}
>=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
<=dev-python/webob-1.4.1[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- <=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
+ ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
>=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
<=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
>=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
@@ -86,8 +84,7 @@ RDEPEND="
<=dev-python/routes-2.2[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
<=dev-python/cryptography-1.0.1-r9999[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.9.0-r9999[${PYTHON_USEDEP}]
+ ~dev-python/six-1.9.0[${PYTHON_USEDEP}]
sqlite? (
>=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
<dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
@@ -147,10 +144,8 @@ RDEPEND="
>=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
!~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
<dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- <=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
- <=dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
+ ~dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+ ~dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
PATCHES=(
)
diff --git a/sys-auth/keystone/keystone-8.0.0.ebuild b/sys-auth/keystone/keystone-8.0.0.ebuild
index 3874e30e9be..dd5ac25a8a4 100644
--- a/sys-auth/keystone/keystone-8.0.0.ebuild
+++ b/sys-auth/keystone/keystone-8.0.0.ebuild
@@ -42,8 +42,7 @@ DEPEND="
)
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
<=dev-python/coverage-4.0[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ ~dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
>=dev-python/lxml-2.3[${PYTHON_USEDEP}]
<=dev-python/lxml-3.4.4[${PYTHON_USEDEP}]
>=dev-python/mock-1.2[${PYTHON_USEDEP}]
@@ -72,8 +71,7 @@ RDEPEND="
${CDEPEND}
>=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
<=dev-python/webob-1.4.1[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- <=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
+ ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
>=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
<=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
>=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
@@ -85,8 +83,7 @@ RDEPEND="
<=dev-python/routes-2.2[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
<=dev-python/cryptography-1.0.1-r9999[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.9.0-r9999[${PYTHON_USEDEP}]
+ ~dev-python/six-1.9.0[${PYTHON_USEDEP}]
sqlite? (
>=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
<dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
@@ -146,10 +143,8 @@ RDEPEND="
>=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
!~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
<dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- <=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
- <=dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
+ ~dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+ ~dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
PATCHES=(
)